From 476d8cdc6dc44f5dfb2e23220f3f6e986c776820 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Fri, 10 Apr 2020 09:00:29 +0300
Subject: [PATCH 16/59] KAuth helper: disable progress_fd for now

---
 .../AlpineApkBackend/AlpineApkAuthHelper.cpp     | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
index bc9c1ec67..11e267866 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
@@ -26,6 +26,7 @@
 #include <QFile>
 
 #include <KAuthHelperSupport>
+#include <kauth_version.h>
 
 #include "AlpineApkAuthHelper.h"
 
@@ -135,14 +136,15 @@ ActionReply AlpineApkAuthHelper::upgrade(const QVariantMap &args)
         m_apkdb.setFakeRoot(fakeRoot);
     }
 
-    int progress_fd = m_apkdb.progressFd();
-    qCDebug(LOG_AUTHHELPER) << "    progress_fd: " << progress_fd;
+    // no progress notifications for now
+    //int progress_fd = m_apkdb.progressFd();
+    //qCDebug(LOG_AUTHHELPER) << "    progress_fd: " << progress_fd;
 
-    QScopedPointer<QSocketNotifier> notifier(new QSocketNotifier(progress_fd, QSocketNotifier::Read));
-    QObject::connect(notifier.data(), &QSocketNotifier::activated, notifier.data(), [](int sock) {
-        Q_UNUSED(sock)
-        qCDebug(LOG_AUTHHELPER) << "        read trigger from progress_fd!";
-    });
+    //QScopedPointer<QSocketNotifier> notifier(new QSocketNotifier(progress_fd, QSocketNotifier::Read));
+    //QObject::connect(notifier.data(), &QSocketNotifier::activated, notifier.data(), [](int sock) {
+    //    Q_UNUSED(sock)
+    //    qCDebug(LOG_AUTHHELPER) << "        read trigger from progress_fd!";
+    //});
 
     QtApk::Changeset changes;
     bool upgrade_ok = m_apkdb.upgrade(flags, &changes);
-- 
GitLab


